AM261x MCU+ SDK: TimerP_Params Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
TimerP_Params Struct Reference
APIs for Driver Porting Layer » APIs for timer setup and control

## Detailed Description

Parameters for TimerP_setup.

## Data Fields
uint32_t | inputPreScaler
uint32_t | inputClkHz
uint32_t | periodInUsec
uint32_t | periodInNsec
uint32_t | oneshotMode
uint32_t | enableOverflowInt
uint32_t | enableDmaTrigger

## Field Documentation

## ◆ inputPreScaler

uint32_t TimerP_Params::inputPreScaler

input pre-scaler divisor ro apply

Note
  MUST be power of 2 and between 1 and 256 for GP Timer
  MAKE sure this value is not 0
  This field is valid only when underlying timer is DM Timer.
  This field is not valid when underlying timer is RTI Timer. Set to 1 in this case.

## ◆ inputClkHz

uint32_t TimerP_Params::inputClkHz

Timer input clock in unit of Hz before pre-scaler, system initialization MUST make any system level muxes, PLLs, power required to input this clock are setup properly

Note
  MAKE sure this value is not 0

## ◆ periodInUsec

uint32_t TimerP_Params::periodInUsec

Timer period in units of usecs, internally TimerP_Params::inputClkHz and TimerP_Params.inputPreScaler is used to compute the value to be put inside the timer HW register

Note
  When value is 0, periodInNsec is used instead
  When both periodInUsec and periodInNsec are non-zero, periodInNsec is used

## ◆ periodInNsec

uint32_t TimerP_Params::periodInNsec

Timer period in units of nsecs, internally TimerP_Params::inputClkHz and TimerP_Params.inputPreScaler is used to compute the value to be put inside the timer HW register

Note
  When value is 0, periodInUsec is used instead
  When both periodInUsec and periodInNsec are non-zero, periodInNsec is used

## ◆ oneshotMode

uint32_t TimerP_Params::oneshotMode

0: continuous mode of operation, 1: oneshot mode of operation

Note
  NOT supported for RTI timer, always set to 0 in this case.

## ◆ enableOverflowInt

uint32_t TimerP_Params::enableOverflowInt

0: Do not enable timer overflow interrupt, 1: enable timer overflow interrupt

## ◆ enableDmaTrigger

uint32_t TimerP_Params::enableDmaTrigger

0: Do not enable DMA trigger from timer, 1: enable DMA trigger from timer